package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.springframework.web.bind.annotation.RequestHeader;

public interface ScoreService {

    //会员中心-正式积分||临时积分
    public Result<?> queryScore(String token);

    //会员中心-积分记录
    public Result<?> queryScoreRecord(String token, String type, PageBean pageBean);

    //会员中心-邀请工友获取积分
    public Result<?> addScoreByShare(String token, String score);

    //会员中心-签到领取积分
    public Result<?> addScoreBySign(String token);

    //判断当日是否已签到
    public Boolean judgeSign(String token);

}
